List Resource Types
List all of the resource types in an organization
Request
URI
GET
https://vra-interop-222-139.lvn.broadcom.net/form-service/api/deployment/resource-types
COPY
Query Parameters
string
search
Optional
Search by name and description
integer
page
Optional
Constraints:
default: 0
Zero-based page index (0..N)
integer
size
Optional
Constraints:
default: 20
The size of the page to be returned
string of
array
sort
Optional
Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.
Responses
200
'Success' with the list of available resource types
Returns
PageResourceTypeSpec
of type(s)
*/*
{
"totalElements": 0,
"totalPages": 0,
"size": 0,
"content": [
{
"id": "string",
"name": "string",
"displayName": "string",
"description": "string",
"operations": [
"string"
],
"schema": {
"type": "string",
"encrypted": false,
"additionalProperties": false,
"title": "string",
"description": "string",
"writeOnly": false,
"readOnly": false,
"anyOf": [
"ProviderSchemaImpl Object"
],
"oneOf": [
"ProviderSchemaImpl Object"
],
"not": "ProviderSchemaImpl Object",
"items": "ObjectOrListProviderSchemaImpl Object",
"uniqueItems": false,
"maxItems": 0,
"minItems": 0,
"maximum": "number",
"minimum": "number",
"properties": {
"properties": "ProviderSchemaImpl Object"
},
"required": [
"string"
],
"maxProperties": 0,
"minProperties": 0,
"patternProperties": {
"patternProperties": "ProviderSchemaImpl Object"
},
"maxLength": 0,
"minLength": 0,
"pattern": "string",
"format": "string",
"formatMinimum": "string",
"formatMaximum": "string",
"computed": false,
"recreateOnUpdate": false,
"ignoreOnUpdate": false,
"ignoreCaseOnDiff": false,
"dependencies": {
"dependencies": [
"string"
]
},
"enum": [
{}
],
"const": {},
"default": {},
"$data": "string",
"$dynamicDefault": "string"
},
"providerId": "string",
"orgId": "string",
"projectId": "string",
"restrictToSingleInstance": false
}
],
"number": 0,
"sort": [
{
"direction": "string",
"nullHandling": "string",
"ascending": false,
"property": "string",
"ignoreCase": false
}
],
"numberOfElements": 0,
"pageable": {
"offset": 0,
"sort": [
{
"direction": "string",
"nullHandling": "string",
"ascending": false,
"property": "string",
"ignoreCase": false
}
],
"paged": false,
"pageNumber": 0,
"pageSize": 0,
"unpaged": false
},
"first": false,
"last": false,
"empty": false
}
integer As int64
As int64
totalElements
Optional
totalElements
integer As int32
As int32
totalPages
Optional
totalPages
integer As int32
As int32
size
Optional
size
array of
object
content
Optional
content
integer As int32
As int32
number
Optional
number
array of
object
sort
Optional
sort
integer As int32
As int32
numberOfElements
Optional
numberOfElements
object
pageable
Optional
pageable
boolean
first
Optional
first
boolean
last
Optional
last
boolean
empty
Optional
empty
403
'Forbidden' no resource action viewer access rights
Returns
PageResourceTypeSpec
of type(s)
*/*
"PageResourceTypeSpec Object"
integer As int64
As int64
totalElements
Optional
totalElements
integer As int32
As int32
totalPages
Optional
totalPages
integer As int32
As int32
size
Optional
size
array of
object
content
Optional
content
integer As int32
As int32
number
Optional
number
array of
object
sort
Optional
sort
integer As int32
As int32
numberOfElements
Optional
numberOfElements
object
pageable
Optional
pageable
boolean
first
Optional
first
boolean
last
Optional
last
boolean
empty
Optional
empty
Code Samples
COPY
curl -H 'Authorization: <value>' https://{api_host}/form-service/api/deployment/resource-types